import { CustomError } from 'ts-custom-error';
export default class ApplicationError extends CustomError {
    constructor(message, context, name) {
        super(`${name ? `${name} - ` : ''}${message}`);
        Error.captureStackTrace(this, context);
    }
}
