import Endpoint from '../core/endpoint.js';
import { ICurriculumResponse } from '../entities/ICurriculumResponse.js';
export interface ICurriculumSearchOptions {
    collegeAbbreviation?: string;
    departmentAbbreviation?: string;
    futureTerms?: number | string;
    quarter?: string;
    year?: number | string;
}
declare class Curriculum extends Endpoint {
    search(opt: ICurriculumSearchOptions): Promise<ICurriculumResponse>;
}
export default Curriculum;
//# sourceMappingURL=curriculum.d.ts.map