import Endpoint from '../core/endpoint.js';
import { IMajorResponse } from '../entities/IMajorResponse.js';
export interface IMajorSearchOptions {
    campus: string;
    degreeLevel: number | string;
    degreeType: number | string;
    majorAbbreviation: string;
    pageSize?: number | string;
    pageStart?: number | string;
    pathway: string;
    quarter: string;
    year: number | string;
}
declare class Major extends Endpoint {
    search(opt: IMajorSearchOptions): Promise<IMajorResponse>;
}
export default Major;
//# sourceMappingURL=major.d.ts.map