import Endpoint from '../core/endpoint.js';
import { ITerm } from '../entities/ITerm';
export interface ITermGetOptions {
    year: number | string;
    quarter: string;
}
export default class Term extends Endpoint {
    next(): Promise<ITerm>;
    previous(): Promise<ITerm>;
    current(): Promise<ITerm>;
    get(options: ITermGetOptions): Promise<ITerm>;
    currentAndNext(numberOfAdditionalTerms?: number): Promise<ITerm[]>;
}
//# sourceMappingURL=term.d.ts.map