import Endpoint from '../core/endpoint.js';
class TestScore extends Endpoint {
    async get(opt) {
        let query = `testscore/${opt.regId}.json`;
        if (opt.testType) {
            query = `testscore/${opt.testType},${opt.regId}.json`;
        }
        const result = await this.service.get(query);
        if (Endpoint.isApiError(result.data)) {
            throw new Error(result.data.description);
        }
        return result.data;
    }
}
export default TestScore;
