export interface IMajorResponse {
    Major: IMajor;
    Students: IStudent[];
    PageStart: string;
    PageSize: string;
    TotalCount: number;
    Current: Current;
    Previous: null;
    Next: null;
}
interface Current {
    Href: string;
    PageStart: string;
    PageSize: string;
    Year: string;
    Quarter: string;
    Campus: string;
    DegreeLevel: string;
    DegreeType: string;
    MajorAbbreviation: string;
    Pathway: string;
}
export interface IMajor {
    Abbreviation: string;
    Campus: string;
    DegreeLevel: number;
    DegreeName: string;
    DegreeType: number;
    FullName: string;
    MajorName: string;
    Pathway: number;
    ShortName: string;
    CollegeAbbreviation: string;
    CollegeFullName: string;
    DepartmentCode: string;
    DepartmentAbbreviation: string;
    DepartmentFullName: string;
}
export interface IStudent {
    Href: string;
    Name: string;
    RegID: string;
    Pronouns: null;
}
export {};
//# sourceMappingURL=IMajorResponse.d.ts.map