class Endpoint {
    constructor(serviceApi, logger) {
        this.service = serviceApi;
        this.log = logger;
    }
    static isApiError(response) {
        return response.errorCode !== undefined;
    }
}
Endpoint.makeQueryStringObject = (obj) => {
    const newObjArray = [];
    Object.entries(obj).forEach(([key, value]) => {
        if (['string', 'number', 'boolean'].includes(typeof value)) {
            newObjArray.push([key, value.toString()]);
        }
        else {
            throw Error('Object contains invalid types. Object types must be string, number, or boolean');
        }
    });
    return Object.fromEntries(newObjArray);
};
export default Endpoint;
