import Endpoint from '../core/endpoint.js';
import { IEnrollmentResponse } from '../entities/IEnrollmentResponse.js';
import { IRegistrationResponse } from '../entities/IRegistrationResponse.js';
export interface IGetRegistrationsOptions {
    quarter: string;
    regId: string;
    verbose?: boolean;
    year: number | string;
}
export interface IGetEnrolledTermsOptions {
    changedSinceDate?: string;
    regId: string;
    transcriptableCourse?: boolean;
    verbose?: boolean;
}
declare class Enrollment extends Endpoint {
    getRegistrations(opt: IGetRegistrationsOptions): Promise<IRegistrationResponse>;
    getEnrolledTerms(opt: IGetEnrolledTermsOptions): Promise<IEnrollmentResponse>;
}
export default Enrollment;
//# sourceMappingURL=enrollment.d.ts.map