import Endpoint from '../core/endpoint.js';
import { IPersonResponse } from '../entities/IPersonResponse.js';
import { IPersonSearchResponse } from '../entities/IPersonSearchResponse.js';
export interface IPersonSearchOptions {
    employeeId?: number | string;
    netId?: string;
    regId?: string;
    studentNumber?: number | string;
    studentSystemKey?: number | string;
}
declare class Person extends Endpoint {
    get(regId: string): Promise<IPersonResponse>;
    search(opt: IPersonSearchOptions): Promise<IPersonSearchResponse>;
}
export default Person;
//# sourceMappingURL=person.d.ts.map