import Endpoint from '../core/endpoint.js';
import { IProgramResponse } from '../entities/IProgramResponse.js';
export interface IProgramGetOptions {
    majorAbbr: string;
    pathway?: number | string;
    firstEffectiveYear: number | string;
    firstEffectiveQuarter: string;
}
export interface IProgramSearchOptions {
    firstEffectiveQuarter?: string;
    firstEffectiveYear?: string;
    majorAbbr: string;
    pathway?: number | string;
    quarter: string;
    year: number | string;
}
declare class Program extends Endpoint {
    all(opt: IProgramSearchOptions): Promise<import("../entities/IProgramSearchResponse.js").IProgram[] | null | undefined>;
    get(options: IProgramGetOptions): Promise<IProgramResponse>;
    search(opt: IProgramSearchOptions): Promise<import("../entities/IProgramSearchResponse.js").IProgram[] | null | undefined>;
}
export default Program;
//# sourceMappingURL=program.d.ts.map