import Endpoint from '../core/endpoint.js';
import { IRegistrationSearchResponse } from '../entities/IRegistrationSearchResponse.js';
export interface IRegistrationSearchOptions {
    changedSinceDate?: string;
    course?: string;
    curriculumAbbreviation?: string;
    instructorRegId?: string;
    isActive?: boolean;
    pageSize?: number | string;
    pageStart?: number | string;
    quarter?: string;
    regId?: string;
    sectionId?: string;
    transcriptableCourse?: boolean;
    verbose?: boolean;
    year?: string;
}
declare class Registration extends Endpoint {
    search(opt: IRegistrationSearchOptions): Promise<IRegistrationSearchResponse>;
}
export default Registration;
//# sourceMappingURL=registration.d.ts.map