import { IUwSwsOptions } from './IUwSwsOptions.js';
import Campus from './endpoints/campus.js';
import College from './endpoints/college.js';
import Course from './endpoints/course.js';
import Curriculum from './endpoints/curriculum.js';
import Department from './endpoints/department.js';
import Enrollment from './endpoints/enrollment.js';
import Major from './endpoints/major.js';
import Person from './endpoints/person.js';
import Program from './endpoints/program.js';
import Registration from './endpoints/registration.js';
import Section from './endpoints/section.js';
import Term from './endpoints/term.js';
import TestScore from './endpoints/testscore.js';
export { CertFetcherManager } from './certFetcher/cert-fetcher-manager.js';
export { ICertFetcher } from './certFetcher/ICertFetcher.js';
export { IApiError } from './modules/IService.js';
export { IUwSwsOptions } from './IUwSwsOptions.js';
export declare class UwSws {
    private log;
    private service;
    campus: Campus;
    college: College;
    course: Course;
    curriculum: Curriculum;
    department: Department;
    enrollment: Enrollment;
    major: Major;
    person: Person;
    program: Program;
    registration: Registration;
    section: Section;
    term: Term;
    testScore: TestScore;
    constructor(options: IUwSwsOptions);
}
//# sourceMappingURL=index.d.ts.map